select
        a.waterorderID,
        a.userID,
        a.watersourcetypeID,
        a.waterOrder,
        a.strt_dt,
        a.end_dt,
        a.shareAllocation,
        a.updt_dt,
        a.watergateID,
        a.waterleaseID,
        a.ActionCD,
        a.watersharecategoryID,
        b.nameL,
        b.nameF,
        b.nameM,
        a.inventoryID
from WaterOrder a,
        users b
where b.userID = 7
        and ( ( a.userID > 0
        and a.userID in
                ( select f.watertypeuserID
                        from watertypeuser f
                        where f.watertypeuserID = a.userID
                        and f.userID = b.userID
                )
                )
                or
                ( a.waterleaseID > 0
                and a.waterleaseID in
                        ( select g.waterleaseID
                                from waterlease g
                                where g.waterleaseID = a.waterleaseID
                                and g.userID = b.userID
                        )
                )
                or
                ( a.inventoryID > 0
                        and ( a.inventoryID in (
                                select o.inventoryID
                                from inventory o,
                                watertypeuser p
                                where o.inventoryID = a.inventoryID
                                and p.watertypeuserID = o.watertypeuserID
                                and p.userID = b.userID
                                )
                                or
                                a.inventoryID in (
                                        select q.inventoryID
                                        from inventory q,
                                                waterlease r
                                        where q.inventoryID = a.inventoryID
                                        and r.waterleaseID = q.waterleaseID
                                        and r.userID = b.userID
                                )
                ) )
        )
;
