select b.nameL as Last,
        b.nameF as First,
        b.nameM as M,
        a.Reason,
        a.inventory as Inventory,
        a.bIncludeLeases as Leases,
        a.strt_dt as Start,
        a.end_dt as End
from Inventory a,
        users b
where ( a.watertypeuserID > 0
        and b.userID in ( select c.userID
                                from watertypeuser c
                                where c.watertypeuserID = a.watertypeuserID
                          )
        )
        or
        ( a.waterleaseID > 0
        and b.userID in ( select d.userID
                                from waterlease d
                                where d.waterleaseID = a.waterleaseID
                          )
        )
order by b.nameL, b.nameF, b.nameM, a.strt_dt, a.end_dt, a.Reason;
